/*
 * Copyright 1991, 1992, John F. Haugh II
 * All rights reserved.
 *
 * Permission is granted to copy and create derivative works for any
 * non-commercial purpose, provided this copyright notice is preserved
 * in all copies of source code, or included in human readable form
 * and conspicuously displayed on all copies of object code or
 * distribution media.
 */

#ifndef lint
static	char	sccsid[] = "@(#)is_rewind.c	1.3	11:49:16	1/29/92";
#endif

#include <sys/types.h>
#include "is_types.h"

extern	int	db_errno;

int
isam_rewind (file)
file_t	*file;
{
	if (file->f_file_name[0] == '\0' || file->f_schema->s_fields == 0)
		return (db_errno = DB_NOTOPEN), -1;

	if (file->f_current_index == 0)
		return (db_errno = DB_NO_INDEX), -1;

	file->f_key_index = file->f_current_index;
	file->f_key_block = 0;
	file->f_key_slot = 0;
	file->f_current_record = 0;

	return 0;
}
