/*
 * test 5
 *	delete a file by name
 *
 *	@(#)test_05.c	1.1	08:09:45	1/24/92
 */

#include <sys/types.h>
#include <stdio.h>
#include <fcntl.h>
#include "is_types.h"

main (argc, argv)
int	argc;
char	**argv;
{
	char	buf[BUFSIZ];
	int	filenum;
	long	record;
	dbm_t	*dbm;

	if (argc != 3) {
		fprintf (stderr, "usage: test database file\n");
		exit (1);
	}
	if (! (dbm = db_open (argv[1], O_RDWR))) {
		fprintf (stderr, "cannot open database `%s'\n", argv[1]);
		exit (1);
	}
	if (db_delete_file (dbm, argv[2])) {
		fprintf (stderr, "cannot delete file `%s'\n", argv[2]);
		exit (1);
	}
	exit (0);
}
